Bug 1257848 - setroubleshoot: unnecessary requires on python 2 dependencies
setroubleshoot: unnecessary requires on python 2 dependencies
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: setroubleshoot (Show other bugs)
23
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F23PYTHON3
  Show dependency treegraph
 
Reported: 2015-08-28 04:59 EDT by Michal Srb
Modified: 2015-09-03 23:22 EDT (History)
4 users (show)

See Also:
Fixed In Version: 3.3.1-0.2.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-03 23:22:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (1.86 KB, patch)
2015-08-28 05:00 EDT, Michal Srb
no flags Details | Diff

  None (edit)
Description Michal Srb 2015-08-28 04:59:29 EDT
Description of problem:

setroubleshoot should work with python 3 now, but the package still pulls in a lot of dependencies which are meant to be used by Python 2.

Version-Release number of selected component (if applicable):
setroubleshoot-3.3.1-0.1.fc23.x86_64
Comment 1 Michal Srb 2015-08-28 05:00:57 EDT
Created attachment 1067942 [details]
proposed patch
Comment 2 Fedora Update System 2015-09-02 11:03:54 EDT
setroubleshoot-3.3.1-0.2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-14882
Comment 3 Fedora Update System 2015-09-03 05:52:31 EDT
setroubleshoot-3.3.1-0.2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update setroubleshoot'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-14882
Comment 4 Fedora Update System 2015-09-03 23:22:47 EDT
setroubleshoot-3.3.1-0.2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.